Map Generator
C Reference » Production Nodes Functionality

## Topics

| Cropping Capability
| Anti Flicker Capability

## Functions

XN_C_API XnUInt32 XN_C_DECL | xnGetSupportedMapOutputModesCount (XnNodeHandle hInstance)
XN_C_API XnStatus XN_C_DECL | xnGetSupportedMapOutputModes (XnNodeHandle hInstance, XnMapOutputMode *aModes, XnUInt32 *pnCount)
XN_C_API XnStatus XN_C_DECL | xnSetMapOutputMode (XnNodeHandle hInstance, const XnMapOutputMode *pOutputMode)
XN_C_API XnStatus XN_C_DECL | xnGetMapOutputMode (XnNodeHandle hInstance, XnMapOutputMode *pOutputMode)
XN_C_API XnStatus XN_C_DECL | xnRegisterToMapOutputModeChange (XnNodeHandle hInstance, XnStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
XN_C_API void XN_C_DECL | xnUnregisterFromMapOutputModeChange (XnNodeHandle hInstance, XnCallbackHandle hCallback)
XN_C_API XnUInt32 XN_C_DECL | xnGetBytesPerPixel (XnNodeHandle hInstance)

## Detailed Description

A Map Generator node is a Generator that has output data in the form of a pixel map. It supports all Generator functions, and adds additional functions.

## Function Documentation

## xnGetBytesPerPixel()

XN_C_API XnUInt32 XN_C_DECL xnGetBytesPerPixel | ( | XnNodeHandle | hInstance | ) |

Gets the number of bytes per pixel for this map generator.

Parameters

  hInstance | [in] A handle to the instance.

Returns
  (XnUInt32)-1 if this production node is not a map generator.

## xnGetMapOutputMode()

XN_C_API XnStatus XN_C_DECL xnGetMapOutputMode | ( | XnNodeHandle | hInstance,
|  | XnMapOutputMode * | pOutputMode )

Gets the current output mode.

Parameters

  hInstance | [in] A handle to the instance.
  pOutputMode | [out] Current output mode.

Returns
  XN_STATUS_INVALID_OPERATION if this production node is not a map generator.

## xnGetSupportedMapOutputModes()

XN_C_API XnStatus XN_C_DECL xnGetSupportedMapOutputModes | ( | XnNodeHandle | hInstance,
|  | XnMapOutputMode * | aModes,
|  | XnUInt32 * | pnCount )

Gets a list of all supported modes. The size of the array that should be passed can be obtained by calling xnGetSupportedMapOutputModesCount().

Parameters

  hInstance | [in] A handle to the instance.
  aModes | [in/out] An array to be filled with supported modes.
  pnCount | [in/out] In: number of elements allocated in the array. Out: number of elements actually written to the array.

Returns
  XN_STATUS_INVALID_OPERATION if this production node is not a map generator.

## xnGetSupportedMapOutputModesCount()

XN_C_API XnUInt32 XN_C_DECL xnGetSupportedMapOutputModesCount | ( | XnNodeHandle | hInstance | ) |

Gets the number of supported modes. This is useful for allocating an array that will be passed to xnGetSupportedMapOutputModes().

Parameters

  hInstance | [in] A handle to the instance.

Returns
  0 if this production node is not a map generator.

## xnRegisterToMapOutputModeChange()

XN_C_API XnStatus XN_C_DECL xnRegisterToMapOutputModeChange | ( | XnNodeHandle | hInstance,
|  | XnStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle * | phCallback )

Registers a callback function to mode changes.

Parameters

  hInstance | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when mode changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to xnUnregisterFromMapOutputModeChange.

Returns
  XN_STATUS_INVALID_OPERATION if this production node is not a map generator.

## xnSetMapOutputMode()

XN_C_API XnStatus XN_C_DECL xnSetMapOutputMode | ( | XnNodeHandle | hInstance,
|  | const XnMapOutputMode * | pOutputMode )

Sets the output mode.

Parameters

  hInstance | [in] A handle to the instance.
  pOutputMode | [in] The output mode to be set.

Returns
  XN_STATUS_INVALID_OPERATION if this production node is not a map generator.

## xnUnregisterFromMapOutputModeChange()

XN_C_API void XN_C_DECL xnUnregisterFromMapOutputModeChange | ( | XnNodeHandle | hInstance,
|  | XnCallbackHandle | hCallback )

Unregisters a callback function which was registered using xnRegisterToMapOutputModeChange.

Parameters

  hInstance | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from xnRegisterToMapOutputModeChange.